Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface FloodRable

All Superinterfaces:
  Filter, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  FloodRable8Bit

public interface FloodRable
extends Filter

Fills the input image with a given paint

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`java.awt.Paint` | `getFloodPaint()` Get the flood paint.
`java.awt.geom.Rectangle2D` | `getFloodRegion()` Get the flood region
`void` | `setFloodPaint(java.awt.Paint paint)` Set the flood paint.
`void` | `setFloodRegion(java.awt.geom.Rectangle2D floodRegion)` Sets the flood region

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### setFloodPaint

    public void setFloodPaint(java.awt.Paint paint)

  Set the flood paint.

  Parameters:
    `paint` - the flood paint to use when filling

### getFloodPaint

    public java.awt.Paint getFloodPaint()

  Get the flood paint.

  Returns:
    The current flood paint for the filter

### setFloodRegion

    public void setFloodRegion(java.awt.geom.Rectangle2D floodRegion)

  Sets the flood region

  Parameters:
    `floodRegion` - region to flood with floodPaint

### getFloodRegion

    public java.awt.geom.Rectangle2D getFloodRegion()

  Get the flood region

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.